<?php

/**
 * Class-SCEMH.php
 *
 * @package SCEditor Max Height
 * @link
 * @author smftricks <diegoandres_cortes@outlook.com>
 * @copyright 2022 smftricks
 * @license https://opensource.org/licenses/MPL-2.0 Mozilla Public License 2.0
 *
 * @version 1.0.1
 */

/**
 * Generated by SimpleModMaker
 */
final class SCEMH
{
	/**
	 * integrate_sceditor_options
	 * 
	 * Will add more options for the sceditor
	 * 
	 * @param array $sce_options The editor options
	 */
	public static function sceditor_options(&$sce_options) : void
	{
		global $modSettings;

		// Resize Max Height
		$sce_options['resizeMaxHeight'] = (!empty($modSettings['scemh_infinite_maxHeight']) ? -1 : (!empty($modSettings['scemh_resizeMaxHeight']) ? (int) $modSettings['scemh_resizeMaxHeight'] : null));
	}

	/**
	 * integrate_modify_bbc_settings
	 * 
	 * Add the settings in the bbc area
	 * 
	 * @param array $config_vars The bbc settings
	 */
	public static function modify_bbc_settings(&$config_vars) : void
	{
		global $txt;

		loadLanguage('SCEMH');

		$config_vars[] = array('int', 'scemh_resizeMaxHeight', 'subtext' => $txt['scemh_resizeMaxHeight_desc']);
		$config_vars[] = array('check', 'scemh_infinite_maxHeight', 'subtext' => $txt['scemh_infinite_maxHeight_desc']);
	}
}